#!/bin/bash
PGDATA="/var/lib/pgsql"

case "$1" in
    'install')
	useradd op5lsu

	if [ ! -f "/etc/SuSE-release" ]; then
		if [ ! -f "/var/lib/pgsql/data/PG_VERSION" ]
		then
			service postgresql initdb
		fi
	fi
	[ -f $PGDATA/.i18n ] && mv -f $PGDATA/.i18n $PGDATA/.i18n.old;
	install -p -g postgres -o postgres -m 600 $2/.i18n $PGDATA

	[ -f $PGDATA/pg_hba.conf ] && mv -f $PGDATA/pg_hba.conf $PGDATA/pg_hba.conf.old;
	install -p -g postgres -o postgres -m 600 $2/pg_hba.conf $PGDATA

	chkconfig postgresql on
	;;
    'upgrade')
	[ -f $PGDATA/.i18n ] && mv -f $PGDATA/.i18n $PGDATA/.i18n.new;
	install -p -g postgres -o postgres -m 600 $2/.i18n $PGDATA

	[ -f $PGDATA/pg_hba.conf ] && mv -f $PGDATA/pg_hba.conf $PGDATA/pg_hba.conf.new;
	install -p -g postgres -o postgres -m 600 $2/pg_hba.conf $PGDATA
        ;;
    'renew')
	[ -f $PGDATA/.i18n.new ] && rm -f $PGDATA/.i18n.new;
	[ -f $PGDATA/pg_hba.conf.new ] && rm -f $PGDATA/pg_hba.conf.new;
	;;
    'uninstall')
	[ -f $PGDATA/.i18n.old ] && mv -f $PGDATA/.i18n.old $PGDATA/.i18n;
	[ -f $PGDATA/pg_hba.conf.old ] && mv -f $PGDATA/pg_hba.conf.old $PGDATA/pg_hba.conf;
	chkconfig postgresql off

	userdel -r op5lsu
	;;
    *)
	echo "Bad parameter"
	;;
esac

#Try to start/reload the postgresql instance once
service postgresql stop || :
service postgresql start
